#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# pytest tests
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define module	virtualenv
Summary:	Tool to create isolated Python environments
Summary(pl.UTF-8):	Narzędzie do tworzenia oddzielonych środowisk Pythona
Name:		python-virtualenv
Version:	16.0.0
Release:	2
License:	MIT
Group:		Development/Languages
#Source0Download: https://pypi.org/simple/virtualenv/
Source0:	https://files.pythonhosted.org/packages/source/v/virtualenv/virtualenv-%{version}.tar.gz
# Source0-md5:	4feb74ee26255dd7e62e36ce96bcc4c6
Source1:	unpack-support.py
Patch0:		multilib.patch
Patch1:		rebuild-support.patch
URL:		https://pypi.org/project/virtualenv/
%if %{with python2}
BuildRequires:	python >= 1:2.7
BuildRequires:	python-modules >= 1:2.7.10-6
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-pytest
%endif
%endif
%if %{with python3}
BuildRequires:	python3 >= 1:3.4
BuildRequires:	python3-modules >= 1:3.5.0-6
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-pytest
%endif
%endif
%if %{with doc}
BuildRequires:	sphinx-pdg
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
# Blame binary-only python packages authors
# virtualenv wants *.py
Requires:	python-devel-src >= 1:2.7
# for virtualenv-2 wrapper
Requires:	python-setuptools
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
virtualenv is a tool to create isolated Python environments.
virtualenv is a successor to workingenv, and an extension of
virtual-python. It is written by Ian Bicking, and sponsored by the
Open Planning Project. It is licensed under an MIT-style permissive
license.

%description -l pl.UTF-8
virtualenv to narzędzie do tworzenia oddzielonych środowisk Pythona.
Jest to następca workignenv i rozszerzenie virtual-pythona. Jest
tworzone przez Iana Bickinga i sponsorowane przez Open Planning
Project. Zostało wydane na liberalnej licencji w stylu MIT.

%package -n python3-%{module}
Summary:	Tool to create isolated Python environments
Summary(pl.UTF-8):	Narzędzie do tworzenia oddzielonych środowisk Pythona
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.4
# for virtualenv-3 wrapper
Requires:	python3-setuptools

%description -n python3-%{module}
virtualenv is a tool to create isolated Python environments.
virtualenv is a successor to workingenv, and an extension of
virtual-python. It is written by Ian Bicking, and sponsored by the
Open Planning Project. It is licensed under an MIT-style permissive
license.

%description -n python3-%{module} -l pl.UTF-8
virtualenv to narzędzie do tworzenia oddzielonych środowisk Pythona.
Jest to następca workignenv i rozszerzenie virtual-pythona. Jest
tworzone przez Iana Bickinga i sponsorowane przez Open Planning
Project. Zostało wydane na liberalnej licencji w stylu MIT.

%package -n virtualenv
Summary:	Tool to create isolated Python environments
Summary(pl.UTF-8):	Narzędzie do tworzenia oddzielonych środowisk Pythona
Group:		Libraries/Python
%if %{with python3}
Requires:	python3-virtualenv = %{version}-%{release}
%else
Requires:	python-virtualenv = %{version}-%{release}
%endif

%description -n virtualenv
virtualenv is a tool to create isolated Python environments.
virtualenv is a successor to workingenv, and an extension of
virtual-python. It is written by Ian Bicking, and sponsored by the
Open Planning Project. It is licensed under an MIT-style permissive
license.

%description -n virtualenv -l pl.UTF-8
virtualenv to narzędzie do tworzenia oddzielonych środowisk Pythona.
Jest to następca workignenv i rozszerzenie virtual-pythona. Jest
tworzone przez Iana Bickinga i sponsorowane przez Open Planning
Project. Zostało wydane na liberalnej licencji w stylu MIT.

%prep
%setup -q -n virtualenv-%{version}
install -p %{SOURCE1} bin
%{__python} ./bin/unpack-support.py
%patch0 -p1
%patch1 -p1
%{__python} ./bin/rebuild-script.py

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%if %{with doc}
%{__make} -C docs text
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install
cp -p $RPM_BUILD_ROOT%{_bindir}/virtualenv{,-2}
%endif

%if %{with python3}
%py3_install
cp -p $RPM_BUILD_ROOT%{_bindir}/virtualenv{,-3}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc AUTHORS.txt LICENSE.txt README.rst docs/_build/text/*.txt
%attr(755,root,root) %{_bindir}/virtualenv-2
%{py_sitescriptdir}/virtualenv-%{version}-py*.egg-info
%{py_sitescriptdir}/virtualenv.py*
%dir %{py_sitescriptdir}/virtualenv_support
%{py_sitescriptdir}/virtualenv_support/*.py
%{py_sitescriptdir}/virtualenv_support/*.py[co]
%{py_sitescriptdir}/virtualenv_support/*.whl
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc AUTHORS.txt LICENSE.txt README.rst docs/_build/text/*.txt
%attr(755,root,root) %{_bindir}/virtualenv-3
%{py3_sitescriptdir}/virtualenv-%{version}-py*.egg-info
%{py3_sitescriptdir}/__pycache__/virtualenv*
%{py3_sitescriptdir}/virtualenv.py*
%dir %{py3_sitescriptdir}/virtualenv_support
%{py3_sitescriptdir}/virtualenv_support/*.py
%{py3_sitescriptdir}/virtualenv_support/*.whl
%{py3_sitescriptdir}/virtualenv_support/__pycache__
%endif

%files -n virtualenv
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/virtualenv
%changelog
* Tue Jul 24 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-virtualenv.git;a=log;h=master

* Tue Jul 24 2018 Jakub Bogusz <qboosh@pld-linux.org> 8d99bf9
- adjusted multilib patch to use lib<qual> symlink even when using --always-copy; release 2

* Sun Jul 22 2018 Jakub Bogusz <qboosh@pld-linux.org> 1ace5ff
- updated to 16.0.0, added tests

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 41a3961
- release 2 (by relup.sh)

* Sun Mar 12 2017 Jakub Bogusz <qboosh@pld-linux.org> c49c046
- updated to 15.1.0
- consistent python- and python3- dependencies

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 4675a5f
- python 3.6
- release 4 (by relup.sh)

* Wed Oct 19 2016 Jan Rękorajski <baggins@pld-linux.org> 0f8f753
- more x32 fixes, should work now on all archs
- rel 3

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> c325651
- fix paths on x32
- rel 2

* Wed Sep 07 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> 7cef4d3
- BR: sphinx-pdg

* Sun Mar 20 2016 Jakub Bogusz <qboosh@pld-linux.org> 48d5306
- updated to 15.0.1

* Tue Dec 01 2015 Jacek Konieczny <jajcus@jajcus.net> 4beaafd
- Drop old PLD hacks, main binary in a new package

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 6c72a7d
- release 2 (by relup.sh)

* Wed Nov 25 2015 Jacek Konieczny <jajcus@jajcus.net> f280597
- Version: 13.1.2

* Wed Nov 25 2015 Jacek Konieczny <jajcus@jajcus.net> 059ee96
- py_build/py_install, python3 support, other updates

* Sat May 23 2015 Elan Ruusamäe <glen@delfi.ee> 97422ee
- no longer provides setuptools

* Sat May 23 2015 Elan Ruusamäe <glen@delfi.ee> ab55961
- suggest gcc, most commonly needed

* Sat Dec 27 2014 Jakub Bogusz <qboosh@pld-linux.org> 0d6ae98
- updated to 12.0.4
- updated pld patch
- rebuild-script.py is now included in sources

* Sat Dec 27 2014 Jakub Bogusz <qboosh@pld-linux.org> b8d076d
- include optparse module; release 2

* Sun Oct 26 2014 Jakub Bogusz <qboosh@pld-linux.org> 1a8858c
- updated to 1.11.6

* Mon Mar 31 2014 Jan Rękorajski <baggins@pld-linux.org> 4e12c71
- add all standard dynamic modules from lib-dynload to avoid more cherry-picking
- rel 3

* Mon Mar 17 2014 Jan Rękorajski <baggins@pld-linux.org> dd0c117
- added pyexpat
- rel 2

